=== debian/tests/control ===
Test-Command: debian/tests/jtreg-autopkgtest hotspot
Depends: openjdk-8-jdk, jtreg, dpkg-dev, gcc

Test-Command: debian/tests/jtreg-autopkgtest langtools
Depends: openjdk-8-jdk, jtreg, dpkg-dev, gcc

Test-Command: debian/tests/jtreg-autopkgtest jdk 
Depends: openjdk-8-jdk, jtreg, dpkg-dev, gcc, xfwm4, xvfb
