## openjdk-8 8u181-b13

=== debian/changelog ===
openjdk-8 (8u181-b13-2~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * debian/rules: add support for distrelease "Metamorphosis" alongside Jessie/

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 26 Oct 2018 20:02:42 -0700

openjdk-8 (8u181-b13-2~deb9u1) stretch-security; urgency=medium

  * Rebuild for stretch-security

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 22 Oct 2018 18:05:23 +0000

openjdk-8 (8u181-b13-2) unstable; urgency=high

  [ Tiago Stürmer Daitx ]
  * Apply patches from 8u191-b12 security update.
    - CVE-2018-3136, S8194534: Manifest better support.
    - CVE-2018-3139, S8196902: Better HTTP Redirection.
    - CVE-2018-3149, S8199177: Enhance JNDI lookups.
    - CVE-2018-3169, S8199226: Improve field accesses.
    - CVE-2018-3180, S8202613: Improve TLS connections stability.
    - CVE-2018-3183, S8202936: Improve script engine support.
    - CVE-2018-3214, S8205361: Better RIFF reading support.
    - CVE-2018-3211: Unspecified vulnerability in the Serviceability component.
    - S8195868: Address Internet Addresses.
    - S8195874: Improve jar specification adherence.
    - S8201756: Improve cipher inputs.
    - S8203654: Improve cypher state updates.
    - S8204497: Better formatting of decimals.
  * debian/patches/jdk-freetypeScaler-crash.diff: removed as this patch causes 
    a memory leak; upstream fixed it in openjdk-7, albeit in a different way.
    Closes: #910672.

  [ Matthias Klose ]
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Oct 2018 12:23:32 +0200

openjdk-8 (8u181-b13-1) unstable; urgency=high

  * Update to 8u181-b13.
  * Remove the mauve test machinery.
  * Build using GCC 8 in development releases.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Aug 2018 14:10:33 +0200

openjdk-8 (8u171-b11-2) unstable; urgency=medium

  * Update the zero-architectures patch for ia64 (Adrian Glaubitz).
    Closes: #897066.
  * Fix zero build on ia64 (Adrian Glaubitz). Closes: #897068.
  * Refresh patches.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 May 2018 16:17:27 -0400
