=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 # Shark build but just crash
 shark_archs	=
 
-ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie))
+ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie Metamorphosis))
   is_default = no
 else
   is_default = yes
