## openjdk-8 8u191-b12

=== debian/changelog ===
openjdk-8 (8u191-b12-2ubuntu0.16.04.1) xenial-security; urgency=medium

  * Backport from Disco.
  * debian/control: regenerated.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 14 Jan 2019 21:02:00 +0000

openjdk-8 (8u191-b12-2ubuntu0.19.04.1) disco; urgency=medium

  * Apply 11.0.2 security patches.
  * Security fixes:
    - CVE-2019-2422, S8206290: Better FileChannel transfer performance.
    - CVE-2019-2426, S8209094: Improve web server connections.
    - S8199156: Better route routing.
    - S8199552: Update to build scripts.
    - S8200659: Improve BigDecimal support.
    - S8203955: Improve robot support.
    - S8204895: Better icon support.
    - S8205709: Proper allocation handling.
    - S8205714: Initial class initialization.
    - S8210094: Better loading of classloader classes.
    - S8210606: Improved data set handling.
    - S8210866: Improve JPEG processing.
  * Update DEP8 tests:
    - debian/tests/control: updated to allow stderr output and to remove
      dpkg-dev dependency.
    - debian/tests/jtdiff-autopkgtest.sh: use dpkg --print-architecture
      instead of dpkg-architecture; log script name on any output.
    - debian/tests/jtreg-autopkgtest.in: use dpkg --print-architecture instead
      of dpkg-architecture; do not retain test temporary files; log script
      name on any output.
    - debian/tests/jtreg-autopkgtest.sh: regenerated.
  * debian/patches/jdk-8u192-S8202261.patch: RandomAccessFile::setLength will
    not shrink sparse files. (LP: #1811324)

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 14 Jan 2019 04:14:40 +0000

openjdk-8 (8u191-b12-2) unstable; urgency=high

  * Upload to unstable.
  * Remove the "Team upload" for the last upload to experimental.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Dec 2018 09:06:06 +0100

openjdk-8 (8u191-b12-1) experimental; urgency=medium

  * Update to 8u191-b12. (Closes: #911925, Closes: #912333, LP: #1800792)
  * debian/excludelist.jdk.jtx: no longer needed, using ProblemsList.txt
    from upstream now.
  * debian/excludelist.langtools.jtx: upstream testing does not use any
    exclusion list.
  * debian/patches/sec-webrev-8u191-b12*: removed, applied upstream.
  * debian/patches/jdk-8132985-backport-double-free.patch,
    debian/patches/jdk-8139803-backport-warning.patch: fix crash in
    freetypescaler due to double free, thanks to Heikki Aitakangas for
    the report and patches. (Closes: #911847)
  * debian/rules:
    - tar and save JTreport directory.
    - run the same limited set of tests as upstream does.
    - call the same testsuites scripts used for autopkgtest.
    - reenable jdk testsuite.
    - simplified and moved xvfb logic into check-jdk rule.
    - removed jtreg and xvfb build dependency logic and moved the bdeps
      into debian/control.in.
    - added rules to generate autopkgtest scripts from templates.
  * updated dep8 tests:
    - debian/test/control: run hotspot, langtools, and jdk testsuites.
    - debian/tests/hotspot, debian/tests/jdk, debian/tests/langtools:
      add scripts for each testsuite to be run.
    - debian/tests/jtreg-autopkgtest.sh: template to generate the jtreg
      script used by the autopkgtest tests.
    - debian/tests/jtdiff-autopkgtest.sh: used by the scripts to report
      any differences between the autopkgtest and the tests results
      generated during the openjdk package build.
    - debian/tests/jtreg-autopkgtest.sh: used by the scripts to run jtreg
      and put the resulting artifacts in the right places.
    - debian/tests/valid-tests: removed, no longer needed.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 19 Nov 2018 11:02:46 +0000

openjdk-8 (8u181-b13-0ubuntu0.18.04.1) bionic-security; urgency=medium
 
  * Update to 8u181-b13. Hotspot 8u172-b11 for both aarch32 and aarch64.
  * CVE-2018-2938, S8197871: Support Derby connections.
  * CVE-2018-2952, S8199547: Exception to Pattern Syntax.
  * S8191239: Improve desktop file usage.
  * S8193419: Better Internet address support.
  * S8197925: Better stack walking.
  * S8200666: Improve LDAP support.
  * debian/rules, debian/patches/sec-webrev-8u171-*: remove security patches
    applied upstream.
  * debian/patches/shebang.diff, debian/patches/zero-missing-headers.diff,
    src/hotspot/share/interpreter/bytecodeInterpreter.cpp: applied upstream.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 23 Jul 2018 19:14:48 +0000
