=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,13 @@
 
 # using brace expansion and substring replacements (${var:0:2}).
 SHELL = /bin/bash
+
+# use gnu time in verbose mode if available, otherwise default to the shell builtin
+ifneq (,$(wildcard /usr/bin/time))
+  TIME = /usr/bin/time -v
+else
+  TIME = time
+endif
 
 vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
 
@@ -42,6 +49,9 @@
 hotspot_aarch32_archs = armhf
 hotspot_archs	= amd64 i386 arm64 ppc64 ppc64el sparc64 \
 	$(hotspot_aarch32_archs) kfreebsd-amd64 kfreebsd-i386
+jtreg_archs	= $(hotspot_archs) alpha arm64 armel armhf \
+		  ia64 mips mipsel mips64 mips64el powerpc \
+		  powerpcspe ppc64 ppc64el s390x sh4 x32
 # FIXME: use bootcycle builds for zero archs?
 bootcycle_build  = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),yes)
 ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
@@ -52,7 +62,7 @@
 # Shark build but just crash
 shark_archs	=
 
-ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie Metamorphosis))
+ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie))
   is_default = no
 else
   is_default = yes
@@ -205,9 +215,3 @@
 dpkg_buildflags_hs += dpkg-buildflags
 export EXTRA_CPPFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
 export EXTRA_CFLAGS_HS   := $(shell $(dpkg_buildflags_hs) --get CFLAGS) $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
-export EXTRA_CXXFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CXXFLAGS)
-export EXTRA_LDFLAGS_HS  := $(shell $(dpkg_buildflags_hs) --get LDFLAGS)
-
-# for JDK: jdk/make/common/Defs.gmk
-# Don't overwrite JDK opt level :
-# 1) with forced -03, it cause wrong Math.* computations, see #679292 and #678228
